#pragma once
#include "TaskBase.h"

class DTDropHarassTask : public TaskBase {
public:
	DTDropHarassTask(BaseModel* base, Overseer* ov);

	virtual bool canInitialize();
	virtual bool execute();
	virtual void monitor();
	virtual bool isExecuting();
	virtual bool isFinished();
	virtual bool isInitialized();
	virtual UnitType getBuildType();
	virtual void setTargetBase(BaseModel* b) { };
	Position findBestLandingZone();
private:
	UnitModel* shuttle;
	UnitModel* templarAlpha;
	UnitModel* templarBeta;
	bool trainingRequested;
	bool requestedShuttle;
	bool requestedDT;
	bool atBase;
	bool unloaded;
	Position landingZone;

	int alphaKills;
	int betaKills;



};